Bug 10706 - keyword search on reports should search report number
Summary: keyword search on reports should search report number
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14008
  Show dependency treegraph
 
Reported: 2013-08-09 23:10 UTC by Nicole C. Engard
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10706: Search reports by id (1.56 KB, patch)
2015-04-16 15:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10706: Search reports by id (1.61 KB, patch)
2015-04-16 20:14 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 10706: Add test (999 bytes, patch)
2015-04-17 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10706: Delete saved_reports to be sure no reports existed (742 bytes, patch)
2015-04-17 12:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 10706: Search reports by id (1.68 KB, patch)
2015-04-17 12:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10706: Add test (1.05 KB, patch)
2015-04-17 12:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10706: Delete saved_reports to be sure no reports existed (819 bytes, patch)
2015-04-17 13:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-08-09 23:10:37 UTC
When using the keyword filter on the reports page it should also let you search the report number - or there should be a report number filter, but I think expanding the keyword is probably easier.
Comment 1 Jonathan Druart 2015-04-16 15:26:40 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-04-16 20:14:51 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-04-17 09:08:10 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-04-17 12:16:26 UTC
Hi Jonathan,

unfunnily... this test seems to delete any existing reports in your database (which is why it failed for me the first time and passed the second time I ran it... ) Could you please fix that even if it's a bit scope creeping?
Comment 5 Katrin Fischer 2015-04-17 12:31:02 UTC
I apologize to the test. It's innocent.

But: somehow I manage to make all my reports disappear. Can someone try and confirm?

1) Search for an existing keyword or number = results are ok
2) Search for a non-existing keyword or number = 'no results found' - ok
3) Now click 'used saved' - no reports are showing up
Comment 6 Jonathan Druart 2015-04-17 12:49:31 UTC
(In reply to Katrin Fischer from comment #5)
> I apologize to the test. It's innocent.
> 
> But: somehow I manage to make all my reports disappear. Can someone try and
> confirm?
> 
> 1) Search for an existing keyword or number = results are ok
> 2) Search for a non-existing keyword or number = 'no results found' - ok
> 3) Now click 'used saved' - no reports are showing up

Confirmed, but not related to this patch (come from 
commit 8360343fbc1fb4d8806db951aea8b04ad99d00c1
Date:   Wed Apr 6 14:56:45 2011 +1200
    Bug 6033 : wr77488 : report selection filter

Please open a new bug report.
Comment 7 Jonathan Druart 2015-04-17 12:54:40 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2015-04-17 12:56:44 UTC
Created attachment 38048 [details] [review]
[PASSED QA] Bug 10706: Search reports by id

This patch adds the ability to search reports by their id.

Test plan:
1/ Go on the saved report list (reports/guided_reports.pl?phase=Use saved)
2/ Search for a report id (refer to the ID column in the table)
3/ The result should be consistent

That the filters are not kept, already existed.

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 9 Katrin Fischer 2015-04-17 12:58:52 UTC
I filed a new bug report bug 14008
Comment 10 Katrin Fischer 2015-04-17 12:59:20 UTC
Created attachment 38049 [details] [review]
[PASSED QA] Bug 10706: Add test

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 11 Katrin Fischer 2015-04-17 13:03:57 UTC
Created attachment 38051 [details] [review]
[PASSED QA] Bug 10706: Delete saved_reports to be sure no reports existed

We need to be sure no report existed before launching the tests.

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 12 Tomás Cohen Arazi 2015-04-23 15:16:26 UTC
Patches pushed to master.

Thanks Jonathan!